Update preferred dataset item group
curl --request PATCH \
--url https://app.azalt.co/api/v1/indicators/{id}/preferred-dataset-item-group \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"preferredDatasetItemName": "<string>",
"preferredDatasetItemDatasetId": "<string>",
"datasetItemIds": [
"<string>"
]
}
'import requests
url = "https://app.azalt.co/api/v1/indicators/{id}/preferred-dataset-item-group"
payload = {
"preferredDatasetItemName": "<string>",
"preferredDatasetItemDatasetId": "<string>",
"datasetItemIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
preferredDatasetItemName: '<string>',
preferredDatasetItemDatasetId: '<string>',
datasetItemIds: ['<string>']
})
};
fetch('https://app.azalt.co/api/v1/indicators/{id}/preferred-dataset-item-group', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"label": "<string>",
"description": "<string>",
"unitId": "<string>",
"displayUnitId": "<string>",
"tags": [
"<string>"
],
"preferredDatasetItemName": "<string>",
"preferredDatasetItemDatasetId": "<string>",
"organizationId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Indicator
Update preferred dataset item group
Update only the preferred dataset item group used to resolve ambiguous dataset field mappings for an indicator.
PATCH
/
indicators
/
{id}
/
preferred-dataset-item-group
Update preferred dataset item group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful response
⌘I

